#include <stdio.h>

/* Kalendermonat: Gibt einen Kalendermonat aus
 * Parameter:
 *     anzahlTage: 28 <= anzahlTage <= 31
 *             Anzahl der Tage des Monats
 *     erster: 0=Mo, 1=Di, 2=Mi, 3=Do, 4=Fr, 5=Sa, 6=So
 *             bestimmt Wochentag des ersten Tag des Monats
 * Rckgabewert: Keiner
 */
void KalenderMonat(long anzahlTage, long erster)
{  long tag;

   // Spaltenbeschriftung
   printf("  Mo  Di  Mi  Do  Fr  Sa  So\n");
   printf("----------------------------\n");

   // Einrcken des ersten Kalendertags
   printf("%*s", (int)(4 * erster), "");

   // Ausgabe des Kalenders
   for (tag = 1; tag <= anzahlTage; tag = tag + 1)
   {  printf("%4li", tag);
      if ((tag + erster) % 7 == 0)
         printf("\n");
   }
   printf("\n");
}  // end KalenderMonat

main()
{  // Ausgabe des Monats Jnner,
   // wobei der 1. Jnner ein Dienstag ist
   KalenderMonat(31, 1);
}  // end main
